﻿using Dto;
using Entities;
using Model;

namespace Shared.Mapper;

public static class BlackListMapper
{
    public static BlackListDto FromModelToDTO(this BlackList model)
    {
        return new BlackListDto(model.Email, model.ExpirationDate);
    }

    public static BlackListDto FromEntityToDTO(this BlackListEntity ent)
    {
        return new BlackListDto(ent.Email, ent.ExpirationDate);
    }

    public static BlackList FromDTOToModel(this BlackListDto dto)
    {
        return new BlackList(dto.Email, dto.ExpirationDate);
    }

    public static BlackList FromEntityToModel(this BlackListEntity ent)
    {
        return new BlackList(ent.Email, ent.ExpirationDate);
    }

    public static BlackListEntity FromDTOToEntity(this BlackListDto dto)
    {
        return new BlackListEntity(dto.Email, dto.ExpirationDate);
    }

    public static BlackListEntity FromModelToEntity(this BlackList model)
    {
        return new BlackListEntity(model.Email, model.ExpirationDate);
    }
}