﻿using Dto;
using Entities;
using Model;

namespace Shared.Mapper;

public static class InquiryTableMapper
{
    public static InquiryTable FromDTOToModel(this InquiryTableDto inqTDto)
    {
        return new InquiryTable(inqTDto.OwnerId, inqTDto.ConnectionInfo, inqTDto.DatabaseName);
    }

    public static InquiryTable FromEntityToModel(this InquiryTableEntity inqTEntity)
    {
        return new InquiryTable(inqTEntity.OwnerId, inqTEntity.ConnectionInfo, inqTEntity.DatabaseName);
    }

    public static InquiryTableDto FromModelToDTO(this InquiryTable inqT)
    {
        return new InquiryTableDto(inqT.OwnerId, inqT.DatabaseName, inqT.ConnectionInfo);
    }

    public static InquiryTableDto FromEntityToDTO(this InquiryTableEntity inqTEntity)
    {
        return new InquiryTableDto(inqTEntity.OwnerId, inqTEntity.DatabaseName, inqTEntity.ConnectionInfo);
    }

    public static InquiryTableEntity FromModelToEntity(this InquiryTable inqT)
    {
        return new InquiryTableEntity(inqT.OwnerId, inqT.DatabaseName, inqT.ConnectionInfo);
    }

    public static InquiryTableEntity FromDTOToEntity(this InquiryTableDto dto)
    {
        return new InquiryTableEntity(dto.OwnerId, dto.DatabaseName, dto.ConnectionInfo);
    }
}