﻿using Dto;
using Entities;
using Model;

namespace Shared.Mapper;

public static class LessonMapper
{
    public static LessonDto FromModelToDTO(this Lesson model)
    {
        return new LessonDto(model.Id, model.Title, model.LastPublisher, model.LastEdit);
    }

    public static LessonDto FromEntityToDTO(this LessonEntity model)
    {
        return new LessonDto(model.Id, model.Title, model.LastPublisher, model.LastEdit);
    }

    public static LessonEntity FromModelToEntity(this Lesson model)
    {
        return new LessonEntity(model.Id, model.Title, model.LastPublisher, model.LastEdit);
    }

    public static LessonEntity FromDTOToEntity(this LessonDto dto)
    {
        return new LessonEntity(dto.Id, dto.Title, dto.LastPublisher, dto.LastEdit);
    }

    public static Lesson FromDTOToModel(this LessonDto dto)
    {
        return new Lesson(dto.Id, dto.Title, dto.LastPublisher, dto.LastEdit);
    }

    public static Lesson FromEntityToModel(this LessonEntity entity)
    {
        return new Lesson(entity.Id, entity.Title, entity.LastPublisher, entity.LastEdit);
    }
}