﻿using Dto;
using Entities;
using Model;

namespace Shared.Mapper;

public static class NotepadMapper
{
    public static Notepad FromDTOToModel(this NotepadDto dto)
    {
        return new Notepad(dto.Id, dto.UserId, dto.InquiryId, dto.Notes);
    }

    public static Notepad FromEntityToModel(this NotepadEntity ent)
    {
        return new Notepad(ent.Id, ent.UserId, ent.InquiryId, ent.Notes);
    }

    public static NotepadDto FromModelToDTO(this Notepad not)
    {
        return new NotepadDto(not.Id, not.UserId, not.InquiryId, not.Notes);
    }

    public static NotepadDto FromEntityToDTO(this NotepadEntity ent)
    {
        return new NotepadDto(ent.Id, ent.UserId, ent.InquiryId, ent.Notes);
    }

    public static NotepadEntity FromDTOToEntity(this NotepadDto dto)
    {
        return new NotepadEntity(dto.Id, new UserEntity(dto.UserId), dto.UserId, new InquiryEntity(dto.InquiryId),
            dto.Notes);
    }

    public static NotepadEntity FromModelToEntity(this Notepad not)
    {
        return new NotepadEntity(not.Id, new UserEntity(not.UserId), not.UserId, new InquiryEntity(not.InquiryId),
            not.Notes);
    }
}